Packages - Bug #2045

[hexchat] Connecting through TOR is only successful after giving a wait for ~5 minutes after XFCE
bootup

2018-10-28 05:11 PM - ani

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

| have to give Hexchat 2.14.2-1.parabolal on x86_64 a delayed start after XFCE has booted in order to connect through TOR. It
never succeeds in the first minutes after XFCE has launched.

| will paste the Hexchat fail log in a moment.

History

#1 - 2018-10-28 05:23 PM - ani

Here is the Hexchat log:

e |ooking up 130.185.251.94

¢ Looking up localhost

e Connecting to localhost (::1:9050)
SOCKS Proxy failed to connect to host (error 6).
Proxy traversal failed.

e Stopped previous connection attempt (875)

#2 - 2018-10-28 05:24 PM - ani

| noticed now that Iceweasel seem to share this problem. | also noticed that cycling the XFCE login does not make the problem reappear which
makes me conclude that XFCE is not a part in this but the system bootup is.

Is this a TOR problem?

#3 - 2018-10-28 05:24 PM - ani

Gajim does not share this problem, it connects instantly at every attempt whenever | want to. Gajim is set up to use TOR.

#4 - 2018-10-28 06:21 PM - freemor

This is not unexpected.
Most Tor exit noded do not support connection to IRC due to abuse. Thus you have to wait for Tor to cycle through nodes until it find one that
supports IRC and then build a route to it.

#5 - 2018-10-28 06:49 PM - ani

freemor

| see. That is disappointing. You can close this issue.

#6 - 2018-10-29 11:12 AM - freemor

- Status changed from open to not-a-bug
